Skip to main content
GET
/
markets
/
find
Find markets by hash
curl --request GET \
  --url https://api.sx.bet/markets/find
{
  "status": "success",
  "data": [
    {
      "status": "ACTIVE",
      "marketHash": "0x531e9e6d6469f6323d464340e91840b3666e4e43cf04b8c2a52c2ac0d67839fb",
      "outcomeOneName": "Golden State Warriors +6.5",
      "outcomeTwoName": "Minnesota Timberwolves -6.5",
      "outcomeVoidName": "NO_GAME_OR_EVEN",
      "teamOneName": "Golden State Warriors",
      "teamTwoName": "Minnesota Timberwolves",
      "type": 342,
      "gameTime": 1773453600,
      "line": 6.5,
      "sportXeventId": "L18272456",
      "liveEnabled": true,
      "sportLabel": "Basketball",
      "sportId": 1,
      "leagueId": 1,
      "leagueLabel": "NBA",
      "group1": "NBA",
      "chainVersion": "SXR",
      "participantOneId": 15002,
      "participantTwoId": 14999,
      "mainLine": true
    }
  ]
}
There are a few additional fields if you are querying a market that has been settled/reported: reportedDate, outcome, teamOneScore, teamTwoScore.

Query Parameters

marketHashes
string[]
required

The market hashes of the markets to retrieve. Comma separated. Maximum 30.

Response

status
string

success or failure if the request succeeded or not

data
object[]